Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

Reply
New Contributor
Posts: 2
Registered: ‎11-06-2008
My Device: Not Specified
Accepted Solution

Exchange server is not be detected. A newer version of mapi32.dll may need to be installed

I'm trying to install BES 4.1.5 for Exchange on W2K3 SP x86. The Exchange infrastructure is a Exchange 2K7 SP1

I have installed MAPICDO from Microsoft on BES server and logged in to the system with BES service account. I have configured the environment as recommeded by RIM.

 

When I ran the setup, the pre-installation check list is giving me the following warning message:

 

"Exchange server is not be detected. A newer version of mapi32.dll may need to be installed."

 

 The version of mapi32.dll currently installed on the machine is: 1.0.2536.0

 

Is there any advice out there? Expert or otherwise....

 

Thanks!

Forums Veteran II
Posts: 2,744
Registered: ‎04-01-2008
My Device: Bold

Re: Exchange server is not be detected. A newer version of mapi32.dll may need to be installed

Just click next Smiley Happy
------------------------------
If you've found a solution through a post; please mark it as a solution.
If someone's was particularly helpful, give them kudo's!.


Get busy living, or get busy dying.

http://blog.port3101.org/hdawg/
New Contributor
Posts: 2
Registered: ‎11-06-2008
My Device: Not Specified

Re: Exchange server is not be detected. A newer version of mapi32.dll may need to be installed

Resolution:

1. Un-installed Microsoft Exchange Server MAPI Client and Collaboration Data Objects 1.2.1 from BES server and then rebooted the server

2. Installed Microsoft Exchange Server MAPI Client and Collaboration Data Objects 1.2.1 after downloading from the following URL:

http://www.microsoft.com/downloads/details.aspx?FamilyID=E17E7F31-079A-43A9-BFF2-0A110307611E&displa...

3. Rebooted BES server again

4. Logged in as BESAdmin user account

5. Start the installation of BlaclBerry Enterprise Server 4.1.5

6. On pre-installation check list, when warning message came up "Exchange server is not be detected. A newer version of mapi32.dll may need to be installed", just click Next and proceed with installation.

 

Note:- There is mismatch between latest version of "Microsoft Exchange Server MAPI Client and Collaboration Data Objects 1.2.1" and BlackBerry Ent Server installtion files and that's why this warning messaging is coming. So, just ingnore this warning message.

Forums Veteran II
Posts: 2,744
Registered: ‎04-01-2008
My Device: Bold

Re: Exchange server is not be detected. A newer version of mapi32.dll may need to be installed

so like I said ... just click next.
------------------------------
If you've found a solution through a post; please mark it as a solution.
If someone's was particularly helpful, give them kudo's!.


Get busy living, or get busy dying.

http://blog.port3101.org/hdawg/